Update non aggiorna pacman

Tutto ciò che altrimenti sarebbe OT
Rispondi
ginsa
Novello Arciere
Messaggi: 44
Iscritto il: 12 febbraio 2017, 22:23
Architettura: x86_64 (64bit)

Update non aggiorna pacman

Messaggio da ginsa » 23 ottobre 2019, 23:44

Buonasera, oggi nell'elenco degli 8 moduli da aggiornare ci sono anche pacman e pacman-contrib.
Se però faccio partire l'aggiornamento mi dà:

Codice: Seleziona tutto

risoluzione delle dipendenze in corso...
ricerca dei pacchetti in conflitto in corso...
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: installing pacman (5.2.0-2) breaks dependency 'pacman<5.2' required by pamac
Done - Press enter to exit
Pamac (a GTK3 frontended for libalpm) è nel repository di Antergos, che se ho capito bene forse nessuno aggiorna più (4 anni fa purtroppo ho scelto la distribuzione sbagliata....).
Quindi non si installa la nuova versione di pacman e non si installa nulla del resto.
Disinstallare pamac? Ci saranno problemi?
Chiedo ai più esperti: che si può fare?
Grazie

enzolatina
Little John
Messaggi: 1137
Iscritto il: 6 ottobre 2007, 22:51
Architettura: x86_64 (64bit)
Località: belluno

Re: Update non aggiorna pacman

Messaggio da enzolatina » 24 ottobre 2019, 7:45

o forzi l'aggiornamento sperando lo prenda e incroci le dita sperando vada tutto bene o disinstalli pamac e dopo aver fatto l'aggiornamento lo reinstalli sempre sperando che sia compatibile con la nuova versione
noi siamo arch linux, ogni resistenza è inutile, sarete assimilati

Avatar utente
TheSaint
Robin Hood
Messaggi: 7778
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: Update non aggiorna pacman

Messaggio da TheSaint » 24 ottobre 2019, 14:13

Meglio che togli l' aur-helper. Poi magari provi a rimetterlo.
F the saint
12 anni da questo forum ;)

VenereNera
Little John
Messaggi: 875
Iscritto il: 20 dicembre 2012, 19:50

Re: Update non aggiorna pacman

Messaggio da VenereNera » 24 ottobre 2019, 20:20

...o meglio ancora, aggiornare pamac e tutto il resto. Pamac ad oggi richiede pacman>=5.2.
https://aur.archlinux.org/packages/pamac-aur/

Bye^_^

ginsa
Novello Arciere
Messaggi: 44
Iscritto il: 12 febbraio 2017, 22:23
Architettura: x86_64 (64bit)

Re: Update non aggiorna pacman

Messaggio da ginsa » 24 ottobre 2019, 21:51

Grazie a tutti dei consigli. Proverò

ginsa
Novello Arciere
Messaggi: 44
Iscritto il: 12 febbraio 2017, 22:23
Architettura: x86_64 (64bit)

Re: Update non aggiorna pacman

Messaggio da ginsa » 25 ottobre 2019, 9:39

@TheSaint, @VenereNera
Ieri ho risposto velocemente che avrei provato... Tuttavia ora vedo qualche difficoltà a seguire le vostre "sintetiche" indicazioni.
Mi potete dare qualche dritta in più su come fare in pratica ?
Purtroppo la mia esperienza è piuttosto limitata.
Vi ringrazio.

ginsa
Novello Arciere
Messaggi: 44
Iscritto il: 12 febbraio 2017, 22:23
Architettura: x86_64 (64bit)

Re: Update non aggiorna pacman

Messaggio da ginsa » 25 ottobre 2019, 10:12

Se ho capito bene VenerNera dovrei:
- disinstallare pamac
- aggiornare pacman all'ultima versione
- installare pamac-aur (che dovrebbe sostituire quello che ho installato dal repository Antergos)
È così?

Invece l'indicazione di TheSaint non so come realizzarla. :(

A questo punto per il futuro forse non sarebbe meglio "staccarmi" dal repository di Antergos ? Ma come si fa?

Avatar utente
Dusty
Little John
Messaggi: 796
Iscritto il: 12 agosto 2011, 13:15
Località: Firenze

Re: Update non aggiorna pacman

Messaggio da Dusty » 25 ottobre 2019, 12:13

Il progetto Antergos è stato chiuso.
Non ti conviene cercare di risolvere il problema specifico che hai segnalato; ti conviene concentrarti sulla sostituzione completa del sistema.
In giro trovi varie guide ed esperienze di migrazione.
Ma deve essere chiaro che Arch è una distribuzione non facile, che richiede pazienza e studio ed anche un po' di competenza.
Se ne hai, benvenuto!
https://wiki.archlinux.org/
Se non ne hai, valuta anche le derivate: Manjaro, Archbang, ...
https://www.chimerarevo.com/guide/distr ... ux-339160/

caruso spaonazzo
Arciere Provetto
Messaggi: 482
Iscritto il: 9 maggio 2017, 14:06

Re: Update non aggiorna pacman

Messaggio da caruso spaonazzo » 25 ottobre 2019, 13:36

guarda, a me è capitato lo stesso errore con pkgbrowser
ho disinstallato pkgbrowser, aggiornato pacman e reinstallato pkgbrowser
ho risolto

VenereNera
Little John
Messaggi: 875
Iscritto il: 20 dicembre 2012, 19:50

Re: Update non aggiorna pacman

Messaggio da VenereNera » 25 ottobre 2019, 20:29

@ginsa Intendo aggiornare pamac il quale si porterà dietro il nuovo pacman come dipendenza e poi si aggiorna il resto. Per quanto ne so potresti aggiornare il sistema usando pamac come faceva il vecchio yaourt.
Pamac è di Manjaro ed esiste pure un wiki, quindi qui trovi tutte le info utili per aggiornare il sistema o il singolo pacchetto.
Che poi i repo in uso siano obsoleti, questo è un altro paio di maniche e comunque di facile soluzione.

Bye^_^

ginsa
Novello Arciere
Messaggi: 44
Iscritto il: 12 febbraio 2017, 22:23
Architettura: x86_64 (64bit)

Re: Update non aggiorna pacman

Messaggio da ginsa » 25 ottobre 2019, 23:21

Ok... Sì lo so che farei meglio ad abbandonare completamente Antergos ormai morto, riformattare la partizione di sistema e installare Archlinux o una sua derivata un po' più in vita.
Ma avrei un po' troppe cose da reinstallare e di alcune non ho più traccia di come/cosa ho fatto. Fin quando è ancora possibile, quindi preferirei evitare. Come si dice, non ho più l'età :lol:
Ho letto i consigli di tutti (grazie), ma nessuno ha commentato, anche negativamente, la mia idea:
1- disinstallare pamac
2- aggiornare pacman all'ultima versione
3- installare pamac-aur
Così pamac e pacman sono aggiornati e non più dipendenti dai vecchi repository.
O basta l'ultimo passo che aggiorna anche pacman come dipendenza.
Però gli script o routine che richiamano il modulo "pamac" continuano a funzionare ?
Che ne pensate ?

Avatar utente
TheSaint
Robin Hood
Messaggi: 7778
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: Update non aggiorna pacman

Messaggio da TheSaint » 26 ottobre 2019, 2:24

Parlare di derivate (per di più poco mantenuta) su un altro forum non produce nulla di produttivo.
Se hai un pacchetto installato lo rimuovi con il package mananager, che tutte le distro hanno.
Poi per gli aur-helper, saprai già come hai installato la prima volta quello che hai scelto e quindi ripeterai l'operazione, come la prima volta.
F the saint
12 anni da questo forum ;)

ginsa
Novello Arciere
Messaggi: 44
Iscritto il: 12 febbraio 2017, 22:23
Architettura: x86_64 (64bit)

Re: Update non aggiorna pacman

Messaggio da ginsa » 26 ottobre 2019, 9:43

TheSaint ha scritto:
26 ottobre 2019, 2:24
......
Poi per gli aur-helper, saprai già come hai installato la prima volta quello che hai scelto e quindi ripeterai l'operazione, come la prima volta.
Questo vale anche per ciò che è installato in wine di cui nel frattempo (3-4 anni) si sono aggiornate le versioni e le nuove o non funzionano più, o funzionano male, o richiedono nuove licenze ...?
Ripartire da capo per me è un lavoro non da poco, perché questi programmi li uso correntemente !
Dico: per me, per altri è probabilmente un giochetto che si può fare anche a occhi chiusi.

Avatar utente
TheSaint
Robin Hood
Messaggi: 7778
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: Update non aggiorna pacman

Messaggio da TheSaint » 26 ottobre 2019, 17:08

ginsa ha scritto:
26 ottobre 2019, 9:43
o richiedono nuove licenze ...?
Licenze ???
ginsa ha scritto:
26 ottobre 2019, 9:43
Ripartire da capo per me è un lavoro non da poco, perché questi programmi li uso correntemente !
Allora per quello una Arch non è indicata. Ti trovi una debian che si aggiorna una volta ogni morte di vescovo. E tieni i programmi senza fare cambiamenti. Del resto se hai una situazioni di stabilità, potresti anche fermarti.
Purtroppo arriverà il giorno che non puoi più rimanere a quel punto, gli altri vanno avanti e magari il sito preferito, o la banca hanno cambiato che non hai più la compatibilità per accederci. A quel punto magari ti dovrei rimboccare le maniche e mettere qualcosa di nuovo.
F the saint
12 anni da questo forum ;)

ginsa
Novello Arciere
Messaggi: 44
Iscritto il: 12 febbraio 2017, 22:23
Architettura: x86_64 (64bit)

Re: Update non aggiorna pacman

Messaggio da ginsa » 27 ottobre 2019, 10:48

Alcuni programmi windows, anche se eseguiti in wine, richiedono una licenza.
Per il resto hai ragione. Tutto funzionò benissimo per 4 anni, ma ora ...

Avatar utente
TheSaint
Robin Hood
Messaggi: 7778
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: Update non aggiorna pacman

Messaggio da TheSaint » 27 ottobre 2019, 12:48

Io con windows tengo il VMware e wine. Ma per gli aggiornamenti non li manco. Al massimo si ha qualche problema con wine, allora passo alla macchina virtuale.
F the saint
12 anni da questo forum ;)

Rispondi